LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 12-22-2003, 07:59 AM   #1
canuck_12
LQ Newbie
 
Registered: Dec 2003
Posts: 3

Rep: Reputation: 0
Question openssl rpm install problem


I'm running an almost fresh redhat 9 installation (shrike), trying to install a few programs off the CDs () which were not included in the original install ("Development tools" and "Kernel development" of add/remove programs in Gnome) to get the tk GUI toolkit

Attempting to add them, it checks depencies and then says: "Package not found"
for unlocatable package openssl=0.9.7a-2 required by openssl-devel

Opening a shell window, "rpm -qa" indicates that openssl-0.9.7a-20 (later version)is in fact installed, but to be sure I downloaded openssl-0.9.7a-20.i386.rpm, and did a
rpm -i --force openssl-0.9.7a-20.i386.rpm
which apperently executed okay.

However, I still get the "Package not found" error for openssl when I try to add/remove programs.

Any idea what to do?

Thanks.
 
Old 12-23-2003, 08:05 AM   #2
canuck_12
LQ Newbie
 
Registered: Dec 2003
Posts: 3

Original Poster
Rep: Reputation: 0
Any suggestions?
 
Old 12-23-2003, 12:57 PM   #3
Technoslave
Member
 
Registered: Dec 2003
Location: Northern VA
Posts: 493

Rep: Reputation: 30
Is the openssl-devel package also installed?
 
Old 12-24-2003, 09:56 AM   #4
canuck_12
LQ Newbie
 
Registered: Dec 2003
Posts: 3

Original Poster
Rep: Reputation: 0
errrr..... no.

Fixed it, everything works now.

Thanks for the help.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Upgrading OpenSSL rpm install to a source install userini Linux - Software 3 06-05-2004 10:23 AM
Problem openssl rpm upgrade simquest Linux - Software 1 03-03-2004 02:58 PM
openssl.rpm rocketgo Linux - General 1 11-13-2003 10:20 PM
How do you upgrade openssl via rpm...? tarballed Linux - Software 6 10-02-2003 08:03 PM
Openssl does not install libssl.so ninen Linux - Software 2 03-25-2003 02:35 AM


All times are GMT -5. The time now is 03:16 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration